package cn.pluss.platform.merchantMenberRecharge.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.MerchantMenberRecharge;
import cn.pluss.platform.merchantMenberRecharge.MerchantMenberRechargeService;
import cn.pluss.platform.mapper.MerchantMenberRechargeMapper;

@Transactional
@Service("merchantMenberRechargeService")
public class MerchantMenberRechargeServiceImpl  implements MerchantMenberRechargeService{

	 private static final Logger logger = LoggerFactory.getLogger( MerchantMenberRechargeServiceImpl.class);


    @Autowired
	  private MerchantMenberRechargeMapper merchantMenberRechargeMapper;

    @Override
    public MerchantMenberRecharge queryMerchantMenberRecharge(MerchantMenberRecharge merchantMenberRecharge){
        return merchantMenberRechargeMapper.queryMerchantMenberRecharge(merchantMenberRecharge);
    }

    @Override
    public List<MerchantMenberRecharge> queryMerchantMenberRechargeList(MerchantMenberRecharge merchantMenberRecharge){
        return merchantMenberRechargeMapper.queryMerchantMenberRechargeList(merchantMenberRecharge);
    }
    @Override
    public void saveMerchantMenberRecharge(MerchantMenberRecharge merchantMenberRecharge){
          merchantMenberRechargeMapper.saveMerchantMenberRecharge(merchantMenberRecharge);
    }
    @Override
    public void updateMerchantMenberRecharge(MerchantMenberRecharge merchantMenberRecharge){
        merchantMenberRechargeMapper.updateMerchantMenberRecharge(merchantMenberRecharge);
    }
    @Override
    public void deleteMerchantMenberRecharge(MerchantMenberRecharge merchantMenberRecharge){
        merchantMenberRechargeMapper.deleteMerchantMenberRecharge(merchantMenberRecharge);
    }
    @Override
    public List<MerchantMenberRecharge> queryMerchantMenberRechargePage(Map map){
        return merchantMenberRechargeMapper.queryMerchantMenberRechargePage(map);
    }
    @Override
    public Integer queryMerchantMenberRechargePageCount(Map map){
        return merchantMenberRechargeMapper.queryMerchantMenberRechargePageCount(map);
    }
    @Override
    public void saveMerchantMenberRechargeBatch(List<MerchantMenberRecharge> merchantMenberRechargeList) {
         merchantMenberRechargeMapper.saveMerchantMenberRechargeBatch(merchantMenberRechargeList);
    }
    @Override
    public List<MerchantMenberRecharge> queryMerchantMenberRechargeListByTime(Map map){
        return merchantMenberRechargeMapper.queryMerchantMenberRechargeListByTime(map);
    }
}

